geos::triangulate::polygon::PolygonTriangulator Class Reference

`#include <PolygonTriangulator.h>`

## Public Member Functions

| PolygonTriangulator (const Geometry *p_inputGeom)

## Static Public Member Functions

static std::unique_ptr< Geometry > | triangulate (const Geometry *geom)

## Detailed Description

Computes a triangulation of each polygon in a `geos::geom::Geometry`. A polygon triangulation is a non-overlapping set of triangles which cover the polygon and have the same vertices as the polygon. The priority is on performance rather than triangulation quality, so that the output may contain many narrow triangles.

Holes are handled by joining them to the shell to form a (self-touching) polygon shell with no holes. Although invalid, this can be triangulated effectively.

For better-quality triangulation use geos::triangulate::polygon::ConstrainedDelaunayTriangulator.

See also
  geos::triangulate::polygon::ConstrainedDelaunayTriangulator

Author
  Martin Davis

## Constructor & Destructor Documentation

## PolygonTriangulator()

geos::triangulate::polygon::PolygonTriangulator::PolygonTriangulator | ( | const Geometry * | p_inputGeom | ) |

inline

Constructs a new triangulator.

Parameters

  p_inputGeom | the input geometry

## Member Function Documentation

## triangulate()

std::unique_ptr< Geometry > geos::triangulate::polygon::PolygonTriangulator::triangulate | ( | const Geometry * | geom | ) |

static

Computes a triangulation of each polygon in a geometry.

Parameters

  geom | a geometry containing polygons

Returns
  a GeometryCollection containing the triangle polygons

The documentation for this class was generated from the following file:

- PolygonTriangulator.h